본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Kakao Moment
  • Business Form linkage management

사이드 메뉴

Kakao Map

Search

This document describes how to use the Business Form linkage management APIs.

MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/talkBizForms/linkagesBusiness token

Retrieves the list of Business Forms with permission granted to the designated ad account.

You can check the detailed information of the Business Form created with your Kakao Account in [비즈니스 도구(Business tools)] > [비즈니스폼(Business Form)] in Business Partner Center.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the list of the Business Forms in JSON format. If failed, refer to Error code to figure out its failure cause.

NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
NameTypeDescription
-BusinessForm[]List of Business Forms.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/talkBizForms/linkages" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
[
{
"id": 1,
"adAccountId": 1234,
"bizFormId": 1111,
"title": "first_talk_business_form",
"flowType": "SURVEY",
"linkedDate": "2020-01-01 00:00:00",
"beginDate": "2020-02-01 00:00",
"endDate": "2020-03-01 00:00"
}
]
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/talkBizForms/linkablesBusiness token

Retrieves the list of Business Forms that permission can be added to.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the list of the Business Forms in JSON format. If failed, refer to Error code to figure out its failure cause.

NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
NameTypeDescription
-LinkablesBusinessForm[]List of Business Forms.
NameTypeDescription
bizFormIdLongBusiness Form's ID.
Pass bizFormId when requesting the Link Business Form API.
titleStringBusiness Form's name.
flowTypeStringBusiness Form type

One of:
APPLY (바로응모형)
SURVEY (설문조사형)
RESERV (신청예약형)
beginDateStringStart time of delivery period in yyyy-MM-dd'T'HH:mm:ss format.
endDateStringEnd time of delivery period in yyyy-MM-dd'T'HH:mm:ss format.
curl -X GET "https://apis.moment.kakao.com/openapi/v4/talkBizForms/linkables" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
[
{
"bizFormId": 5678,
"adAccountId": 1234,
"title": "first_talk_business_form",
"flowType": "APPLY",
"beginDate": "2020-02-01 00:00",
"endDate": "2020-03-01 00:00"
}
]
MethodURLAuthorization
POSThttps://apis.moment.kakao.com/openapi/v4/talkBizFormsBusiness token

Enables you to link a specific Business Form to an ad account.

Send a POST request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns the information of the added Business Form. If failed, refer to Error code to figure out its failure cause.

NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
NameTypeDescriptionRequired
bizFormIdLongBusiness Form's ID.O
NameTypeDescription
idLongBusiness Form's linkage ID.
adAccountLongAd account's ID.
bizFormIdLongBusiness Form's ID.
titleStringBusiness Form's title.
flowTypeStringBusiness Form type

One of:
APPLY (바로응모형)
SURVEY (설문조사형)
RESERV (신청예약형)
beginDateStringStart time of delivery period in yyyy-MM-dd'T'HH:mm:ss format.
endDateStringEnd time of delivery period in yyyy-MM-dd'T'HH:mm:ss format.
linkedDateStringLinkage time in yyyy-MM-dd'T'HH:mm:ss format.
curl -X POST "https://apis.moment.kakao.com/openapi/v4/talkBizForms" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}"
-H "adAccountId: ${AD_ACCOUNT_ID}"
-d '{
"bizFormId": ${BIZ_FORM_ID}
}'
// HTTP/1.1 200 OK
// Content-Type: application/json;charset=UTF-8
{
"id": 1,
"adAccountId": 1234,
"bizFormId": 1,
"title": "first_talk_business_form",
"flowType": "APPLY",
"linkedDate": "2020-01-01 15:00:00",
"beginDate": "2020-02-01 00:00",
"endDate": "2020-03-01 00:00"
}

Was this helpful?